0

I've just upgraded a server running a Bugzilla installation from Ubuntu 14.04 to 16.04 (this also comes with a Perl 5.18 to 5.22 upgrade). Bugzilla is configured as a virtual host in Apache. After the upgrade, accessing Bugzilla returns an "Internal Server Error"

Internal Server Error

The server encountered an internal error or misconfiguration and was unable to complete your request.

Please contact the server administrator to inform them of the time this error occurred, and the actions you performed just before this error.

More information about this error may be available in the server error log. Apache/2.4.18 (Ubuntu) Server at Bugzilla-URL Port 80

The Apache error log /var/log/apache2/error.log has only one line related to this error:

[Tue Apr 30 08:34:21.227311 2019] [cgid:error] [pid 90210:tid 86753098675309] [client url:port] End of script output before headers: index.cgi

I haven't been able to find out a whole lot about this error. It seems to refer to the file /var/www/bugzilla/index.cgi, which does exist on the system:

$ sudo ls -Alh /var/www/bugzilla/index.cgi
-rwxr-x--- 1 root www-data 2.2K May 12  2016 /var/www/bugzilla/index.cgi

One person in this post had that error line thrown by Gitweb after the same upgrade to Ubuntu 16.04. In this case, the Perl upgrade 5.18 -> 5.22 removed the perl module CGI.pm, which is provided by the package libcgi-pm-perl; installing libcgi-pm-perl fixed it. I did not get any error message about a missing module, however, and libcgi-pm-perl is already installed on my system (v4.26-1 from Ubuntu main).

Another answer on this StackOverflow question points out Bugzilla's checksetup.pl utility, which sounds useful. When I attempt to run it, however, I get a segfault:

# perl /var/www/bugzilla/checksetup.pl
Segmentation fault (core dumped)

So, how do I diagnose the problem at this point?

Please note that I'm more interested in determining what's wrong than I am in making Bugzilla work. I welcome and appreciate any thoughts on troubleshooting, but if you want to suggest a solution, I'm not going to try it unless you can also tell me what you think is wrong and why what you suggest will help.

Thank you in advance!

1

The solution that worked for me on openSUSE Leap 15.1 can be found at Bugzilla checksetup.pl stops with segmentation fault:

  1. Rename the lib folder in the Bugzilla directory
  2. Run ./install-modules –all
  3. Run ./checksetup.pl again

Note that in step 2, I had to run ./install-module.pl -all

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.